#!/bin/sh

KB_FILE=se_SE_102_dvorak
KB_DIR=/usr/photon/keyboard

if [ -f /usr/photon/keyboard/$KB_FILE.kbd ] ;then
	echo "Package already installed."
	exit 1
fi

echo "Installing Swedish Dvorak to $KB_DIR."
cp ./$KB_FILE.kbd $KB_DIR/
cp ./$KB_FILE.kdef $KB_DIR/


TMP=`grep -n Swedish $KB_DIR/uc_keyboard_t|cut -d':' -f1`
LENGTH=`wc -l $KB_DIR/uc_keyboard_t|awk '{ print $1; }'`
LEFT=`expr $LENGTH - $TMP`

echo > ./uc_temp
head -n$TMP $KB_DIR/uc_keyboard_t >> ./uc_temp
echo "Adding Swedish Dvorak entry to the uc_keyboard_t file."
cat <<"EOF" >> ./uc_temp
keyboard ="Swedish Dvorak",		"se_SE_102_dvorak.kbd"
EOF
tail -n$LEFT $KB_DIR/uc_keyboard_t >> ./uc_temp
cp ./uc_temp $KB_DIR/uc_keyboard_t

rm ./uc_temp
echo "Installation Complete."
